package com.jeesharp.business.modules.mall.service;

import com.jeesharp.business.modules.mall.entity.MallAddPurchase;
import com.jeesharp.business.modules.mall.vo.MallAddPurchaseQueryVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

import java.util.List;

/**
 * 加价购配置 Service 接口
 */
public interface MallAddPurchaseService extends BaseInterface<MallAddPurchase, MallAddPurchaseQueryVO> {

    void createAddPurchase(MallAddPurchase entity);

    void updateAddPurchase(MallAddPurchase entity);
List<MallAddPurchase> getAddPurchaseOptions(String mainSkuId);

    List<MallAddPurchase> getAvailableAddPurchases();
}
